org.eclipse.eef.properties.ui.internal.page

## Class EEFPartListenerAdapter

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.page.EEFPartListenerAdapter

All Implemented Interfaces:
  org.eclipse.ui.IPartListener

    public class EEFPartListenerAdapter
    extends java.lang.Object
    implements org.eclipse.ui.IPartListener

A part listener adapter.

### Constructor Summary

Constructors
Constructor and Description
`EEFPartListenerAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `partActivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
`void` `partClosed(org.eclipse.ui.IWorkbenchPart part)`
`void` `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partOpened(org.eclipse.ui.IWorkbenchPart part)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFPartListenerAdapter

    public EEFPartListenerAdapter()

### Method Detail

#### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partActivated` in interface `org.eclipse.ui.IPartListener`
See Also:
  `IPartListener.partActivated(org.eclipse.ui.IWorkbenchPart)`

#### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`
See Also:
  `IPartListener.partBroughtToTop(org.eclipse.ui.IWorkbenchPart)`

#### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partClosed` in interface `org.eclipse.ui.IPartListener`
See Also:
  `IPartListener.partClosed(org.eclipse.ui.IWorkbenchPart)`

#### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partDeactivated` in interface `org.eclipse.ui.IPartListener`
See Also:
  `IPartListener.partDeactivated(org.eclipse.ui.IWorkbenchPart)`

#### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPart part)

Specified by:
  `partOpened` in interface `org.eclipse.ui.IPartListener`
See Also:
  `IPartListener.partOpened(org.eclipse.ui.IWorkbenchPart)`